<script lang="ts" setup>
import type { PropType } from 'vue';

defineProps({
  header: {
    type: String,
    required: false,
    default: '',
  },
  metrics: {
    type: Array as PropType<{ number: string; text: string }[]>,
    required: true,
  },
});
</script>
<template>
  <SlpContainer>
    <div class="metric-spotlight">
      <SlpTypography variant="heading3-bold" tag="h3" class="header">{{ header }}</SlpTypography>
      <div class="metrics">
        <div v-for="metric in metrics" :key="metric.text" class="metric">
          <SlpTypography variant="heading1-bold" tag="h3">{{ metric.number }}</SlpTypography>
          <SlpTypography variant="body1" tag="p">{{ metric.text }}</SlpTypography>
        </div>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.metric-spotlight {
  display: flex;
  align-items: flex-start;
  gap: 40px;
  padding: $spacing-32 0;
  flex-direction: column;
  @media (min-width: $breakpoint-lg) {
    padding: 120px 0;
    flex-direction: row;
    align-items: center;
  }
  .header {
    @media (min-width: $breakpoint-lg) {
      max-width: 60%;
    }
  }
  .metrics {
    display: flex;
    gap: $spacing-32;
    .metric {
      display: flex;
      flex-direction: column;
    }
  }
}
</style>
